Subject: Re: bug#10781: EIEIO namespace use

From: Eric Ludlam <[email-masked]>
Date: Sun, 29 Apr 2012 08:14:51 -0400

On 04/29/2012 04:06 AM, David Engster wrote:
> Eric M. Ludlam writes:
>> I would be happy to see 'this' just completely removed.  It was put in
>> when I was mimicing C++, and some old programs of mine that have long
>> since rotted away depended on it.  I'm actually surprised there was a
>> reference to it in CEDET still.  That will be good to clean up.
> OK, I will take care of that.
>
> And while I'm at it: What about 'scoped-class'? It is only used in
> `eieio-slot-name-index' and `call-next-method' in EIEIO itself, so it
> could at least be made local? I'm not sure if it can be removed
> completely.

That is an internal symbol... or should be, and can be renamed as such.

Thanks David!
Eric